<?php 
// PHP program to illustrate the 
// Anonymous recursive function 

$factorial = function( $num ) use ( &$factorial ) { 
	
	// Base condition of recursion 
	if( $num == 1 ) 
		return 1; 

	// return statement when $m is not equals to 1. 
	return $factorial( $num - 1 ) * $num; 
}; 

// Function call 
print $factorial( 6 ); 
?> 


<?php 


$ff = function ( $i ) use ( &$ff ){
	if($i < 78){
	return $ff( $i + 12 );
	}else{
		return $i;
	}
};

$rr =  $ff( 0 );

echo $rr;

?>

<?php
function sup($ss){
$ss = $ss + 5; 
if($ss < 48){
return sup($ss  + 5);
}

}

$rr = sup(0);



echo $rr;

?>